> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gmarket/products/best

> Get Gmarket (gmarket.co.kr) best-selling products, optionally filtered by category group.

**Price:** 20 credits



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/gmarket/products/best
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gmarket/products/best:
    post:
      tags:
        - /gmarket
      summary: /gmarket/products/best
      description: >-
        Get Gmarket (gmarket.co.kr) best-selling products, optionally filtered
        by category group.


        **Price:** 20 credits
      operationId: __api_gmarket_products_best_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GmarketBestPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GmarketBestItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GmarketBestPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        category:
          $ref: '#/components/schemas/GmarketBestCategory'
          default: all
        count:
          type: integer
          maximum: 200
          minimum: 1
      type: object
      required:
        - count
    GmarketBestItem:
      properties:
        '@type':
          type: string
          default: GmarketBestItem
        rank:
          anyOf:
            - type: integer
            - type: 'null'
        id:
          type: string
        url:
          type: string
        name:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        coupon_price:
          anyOf:
            - type: number
            - type: 'null'
        discount_rate:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          type: string
          default: KRW
        delivery_fee:
          anyOf:
            - type: number
            - type: 'null'
        is_free_shipping:
          type: boolean
          default: false
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        seller:
          anyOf:
            - $ref: '#/components/schemas/GmarketMiniShop'
            - type: 'null'
        is_super_deal:
          type: boolean
          default: false
        is_tomorrow_arrival:
          type: boolean
          default: false
        is_adult:
          type: boolean
          default: false
        reward_amount:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
        - url
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GmarketBestCategory:
      type: string
      enum:
        - all
        - fresh_food
        - processed_food
        - household_baby
        - living_kitchen
        - fashion
        - beauty
        - digital
        - furniture_home
        - sports_health
        - hobby_pet
        - books_music
        - ecoupon
        - travel
    GmarketMiniShop:
      properties:
        '@type':
          type: string
          default: GmarketMiniShop
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````